Skip to main content
`Ctrl`+`K`

# TaoGetType

Gets the current `TaoType` being used in the `Tao` object

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetType(Tao tao, TaoType *type)

Not Collective

## Input Parameter

- tao - the `Tao` solver context

## Output Parameter

- type - the `TaoType`

## See Also

TAO: Optimization Solvers, `Tao`, `TaoType`, `TaoSetType()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/constrained/tutorials/ex1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages